@import "libs/shared/assets/src/global-style/variable";

::ng-deep .ant-tree-show-line .ant-tree-indent-unit::before {
  border-right: 1.5px dashed !important;
  border-right-color: $bg-primary-default !important;
}

::ng-deep .ant-tree-node-selected {
  background-color: $bg-primary-default !important;
  color: $bg-layout !important;
}

::ng-deep .ant-tree-checkbox-checked .ant-tree-checkbox-inner {
  background-color: $bg-primary-default !important;
  border-color: $bg-primary-default !important;
}

::ng-deep .ant-tree-checkbox-indeterminate .ant-tree-checkbox-inner::after {
  background-color: $bg-primary-default !important;
}

::ng-deep .tree__group--home {
  .ant-tree {
    height: calc(100vh - 425px);
    max-height: calc(100vh - 425px);
    overflow-y: auto;
  }

  .ant-empty, .ant-spin {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%);
  }

}
